The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Top Active Botnets

Prev Next

This URL retrieves the top active botnets.

Resource URL

GET /alerts/TopN/active_botnets >

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Query Parameters:

Field Name

Description

Data Type

Mandatory

duration

Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:

  • LAST_5_MINUTES

  • LAST_1_HOUR

  • LAST_6_HOURS

  • LAST_12_HOURS

  • LAST_24_HOURS

  • LAST_48_HOURS

  • LAST_7_DAYS

  • LAST_14_DAYS

String

No

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

TopActiveBotnetsList

List of top active botnets

Array

Details of fields in TopActiveBotnetsList:

Field Name

Description

Data Type

Botnet

Name of the botnet

String

eventCount

The event count

Number

Example

Request

GET https://<NSM_IP>/sdkapi/alerts/TopN/active_botnets?duration=LAST_14_DAYS

Payload

None

Response

    {
               "TopActiveBotnetsList": [{
                              "botnet": "Carberp",
                              "eventCount": 0
               },
               {
                              "botnet": "Darkness",
                              "eventCount": 0
               },
               {
                              "botnet": "Yzf",
                              "eventCount": 0
               }]
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error

2

400

3601

Invalid duration